--
-- file prepared: 13 January 2024 11:49:02.468, using fd577h
--
self_ID = "buccaneer"
declare_plugin(self_ID,
{
	displayName = _("buccaneer"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("buccaneer"),

	version = " ",
	state = "installed",
	info = _("The Blackburn Buccaneer is a British carrier-capable attack aircraft which entered service in the Royal Navy during July 1962. To counter the threat of the Soviet Union's Sverdlov class light cruisers the Royal Navy decided that it could address the threat posed via low-level attack runs performed by Buccaneers. Initial production aircraft suffered a series of accidents, largely due to insufficient engine power; this shortfall would be quickly addressed via the introduction of the Buccaneer S.2, equipped with more powerful Rolls-Royce Spey jet engines, in 1965.  The Royal Navy retired the last of its large aircraft carriers in February 1979, with the RN Buccaneers transferred to the RAF. The last of the RAF's Buccaneers were retired in March 1994.  The South African Air Force (SAAF) was the only export customer for the type. Buccaneers saw combat action in the first Gulf War of 1991, and the lengthy South African Border War. (source: https://en.wikipedia.org/wiki/Blackburn_Buccaneer)   "),

	update_id = "buccaneer",

	Skins =
	{
		{
			name = _("buccaneer"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("buccaneer"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("buccaneer"),
			type = "buccaneer",
		},
	},
	InputProfiles =
	{
		["buccaneer"] = current_mod_path .. '/Input/buccaneer',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
make_view_settings('buccaneer', ViewSettings, SnapViews)
make_flyable('buccaneer', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/buccaneer.lua')
------------------------------------------------------------------------------------ -
plugin_done()

