--
-- file prepared: 13 January 2024 11:49:41.582, using fd577h
--
self_ID = "canberra"
declare_plugin(self_ID,
{
	displayName = _("canberra"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("canberra"),

	version = " ",
	state = "installed",
	info = _("The English Electric Canberra was developed in response to a 1944 Air Ministry requirement for a successor to the wartime de Havilland Mosquito fast bomber. When introduced in May 1951, the Canberra became the Royal Air Force's (RAF) first jet-powered bomber. In February 1951, a Canberra set a world record when it became the first jet aircraft to make a nonstop transatlantic flight. In 1957, a Canberra established a then world altitude record of 70,310 feet (21,430 m). Due to its ability to evade the early jet interceptor aircraft, and its significant performance advancement over contemporary piston-engined bombers. The Canberra served for more than 50 years with some operators. In June 2006, the RAF retired the last three of its Canberras 57 years after its first flight. (source: https://en.wikipedia.org/wiki/English_Electric_Canberra)   "),

	update_id = "canberra",

	Skins =
	{
		{
			name = _("canberra"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("canberra"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("canberra"),
			type = "canberra",
		},
	},
	InputProfiles =
	{
		["canberra"] = current_mod_path .. '/Input/canberra',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('canberra', ViewSettings, SnapViews)
make_flyable('canberra', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/canberra.lua')
------------------------------------------------------------------------------------ -
plugin_done()

