--
-- file prepared: 13 January 2024 11:53:36.274, using fd577h
--
self_ID = "dh100"
declare_plugin(self_ID,
{
	displayName = _("dh100"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("dh100"),

	version = " ",
	state = "installed",
	info = _("The de Havilland Vampire was the RAF's second jet fighter, after the Gloster Meteor.  A single-engine, twin-boom aircraft, it was powered by the Halford H.1 turbojet (later produced as the Goblin). In May 1944, it was decided to produce the aircraft as an interceptor for the RAF. In 1946, the Vampire entered RAF operational service, only months after the end of WWII. The Vampire quickly proved to be effective and was adopted as a replacement of wartime piston-engined fighter aircraft. Several countries used the type in combat including the Suez Crisis, the Malayan Emergency and the Rhodesian Bush War. In total almost 3,300 Vampires were manufactured. The Vampire remained in front-line RAF service until 1953 when its transfer began to roles such as ground attack and pilot training, for which specialist variants were produced. The RAF retired the Vampire in 1966 with its trainer role filled by the Folland Gnat. (source: https://en.wikipedia.org/wiki/De_Havilland_Vampire)  "),

	update_id = "dh100",

	Skins =
	{
		{
			name = _("dh100"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("dh100"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("dh100"),
			type = "dh100",
		},
	},
	InputProfiles =
	{
		["dh100"] = current_mod_path .. '/Input/dh100',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('dh100', ViewSettings, SnapViews)
make_flyable('dh100', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/dh100.lua')
------------------------------------------------------------------------------------ -
plugin_done()

