--
-- file prepared: 13 January 2024 11:56:26.274, using fd577h
--
self_ID = "javelin"
declare_plugin(self_ID,
{
	displayName = _("javelin"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("javelin"),

	version = " ",
	state = "installed",
	info = _("The Gloster Javelin is a twin-engined all-weather interceptor aircraft that served with Britain's Royal Air Force from the mid-1950s until the late 1960s. It was a T-tailed delta-wing aircraft designed for night and all-weather operations and was the last aircraft design to bear the Gloster name. Introduced in 1956 after a lengthy development period, the aircraft received several upgrades during production to its engines, radar and weapons, including support for the De Havilland Firestreak air-to-air missile. The Javelin was succeeded in the interceptor role by the English Electric Lightning, a supersonic aircraft capable of flying at more than double the Javelin's top speed. The Javelin served for much of its life alongside the Lightning; the last Javelins were withdrawn from operational service in 1968 following the introduction of successively more capable versions of the Lightning. (source: https://en.wikipedia.org/wiki/Gloster_Javelin)   "),

	update_id = "javelin",

	Skins =
	{
		{
			name = _("javelin"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("javelin"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("javelin"),
			type = "javelin",
		},
	},
	InputProfiles =
	{
		["javelin"] = current_mod_path .. '/Input/javelin',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('javelin', ViewSettings, SnapViews)
make_flyable('javelin', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/javelin.lua')
------------------------------------------------------------------------------------ -
plugin_done()

