--
-- file prepared: 13 January 2024 12:04:40.816, using fd577h
--
self_ID = "mirage_f1"
declare_plugin(self_ID,
{
	displayName = _("mirage_f1"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("mirage_f1"),

	version = " ",
	state = "installed",
	info = _("The Dassault Aviation Mirage F1 is a French fighter and attack aircraft. It was developed as a successor to the Mirage III family. Designed to meet a French Air Force (Armée de l'Air) requirement for an all-weather interceptor aircraft, it entered service in the French Air Force in 1974. Shortly thereafter, the type was deployed as the main interceptor of the French Air Force. In July 2014, the last French Mirage F1s were retired from service. The type has seen action in a large number of armed conflicts involving several of its operators, including the Western Sahara War, the Paquisha War, the Cenepa War, the Iran–Iraq War, the Gulf War, the South African Border War, the War in Afghanistan, the Chadian–Libyan conflict, the 2011 military intervention in Libya, and the Northern Mali conflict. Although sources differ, estimates are that in the region of 726 Mirage F1s of all variants and trainers were manufactured during its run between 1966 and 1992. (source: https://en.wikipedia.org/wiki/Dassault_Mirage_F1)   "),

	update_id = "mirage_f1",

	Skins =
	{
		{
			name = _("mirage_f1"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("mirage_f1"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("mirage_f1"),
			type = "mirage_f1",
		},
	},
	InputProfiles =
	{
		["mirage_f1"] = current_mod_path .. '/Input/mirage_f1',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('mirage_f1', ViewSettings, SnapViews)
make_flyable('mirage_f1', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/mirage_f1.lua')
------------------------------------------------------------------------------------ -
plugin_done()

