--
-- file prepared: 13 January 2024 12:00:14.393, using fd577h
--
self_ID = "super_mystere"
declare_plugin(self_ID,
{
	displayName = _("super_mystere"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("super_mystere"),

	version = " ",
	state = "installed",
	info = _("The Dassault Super Mystère is a French supersonic fighter-bomber and was the first Western European supersonic aircraft to enter mass production.  The Super Mystère represents the final step in the evolution, which began with the Dassault Ouragan and progressed through the Mystère II/III and Mystère IV. While earlier Mystère variants could attain supersonic speeds only in a dive, the Super Mystère could exceed the speed of sound in level flight, in part to a new thin wing with 45° of sweep, and the use of an afterburner-equipped turbojet engine.  The first prototype Super Mystère B.1, powered by a Rolls-Royce Avon RA.7R, took to the air on 2 March 1954. The aircraft broke the sound barrier in level flight the following day. The aircraft entered production in 1957, with a more powerful (as compared to the prototype) SNECMA Atar 101G engine. A total of 180 Super Mystère B2s were built. (source: https://en.wikipedia.org/wiki/Dassault_Super_Myst%C3%A8re)  "),

	update_id = "super_mystere",

	Skins =
	{
		{
			name = _("super_mystere"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("super_mystere"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("super_mystere"),
			type = "super_mystere",
		},
	},
	InputProfiles =
	{
		["super_mystere"] = current_mod_path .. '/Input/super_mystere',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('super_mystere', ViewSettings, SnapViews)
make_flyable('super_mystere', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/super_mystere.lua')
------------------------------------------------------------------------------------ -
plugin_done()

