--
-- file prepared: 13 January 2024 11:53:52.687, using fd577h
--
self_ID = "dh112"
declare_plugin(self_ID,
{
	displayName = _("dh112"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("dh112"),

	version = " ",
	state = "installed",
	info = _("The de Havilland DH 112 Venom is a British single-engined jet aircraft developed/manufactured by the de Havilland Aircraft Company. In comparison with the Dh100 Vampire, the Venom had a thinner wing and a more powerful de Havilland Ghost 103 turbojet engine, and thus was more suitable for high altitude flight. A dedicated model for aerial reconnaissance also served with the Swiss Air Force. The Venom entered service with the RAF in 1952, where it was operated as both a single-seat fighter-bomber and two-seat night fighter. Despite the type's relatively RAF short service life, British Venoms saw active combat on multiple occasions, including the Suez Crisis, the Malayan Emergency, and the Aden Emergency. It was withdrawn from frontline operations by the RAF in 1962. The Swiss Air Force was the final operator in active service, retiring the Venom in 1983. Other countries operated the Venom, icluding Iraq, New Zealand, Sweden, Switzerland and Venezuela. (source: https://en.wikipedia.org/wiki/De_Havilland_Venom)   "),

	update_id = "dh112",

	Skins =
	{
		{
			name = _("dh112"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("dh112"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("dh112"),
			type = "dh112",
		},
	},
	InputProfiles =
	{
		["dh112"] = current_mod_path .. '/Input/dh112',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('dh112', ViewSettings, SnapViews)
make_flyable('dh112', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/dh112.lua')
------------------------------------------------------------------------------------ -
plugin_done()

