--
-- file prepared: 13 January 2024 11:58:18.880, using fd577h
--
self_ID = "hawker_hunter"
declare_plugin(self_ID,
{
	displayName = _("hawker_hunter"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("hawker_hunter"),

	version = " ",
	state = "installed",
	info = _("The Hawker Hunter is a transonic British jet-powered fighter aircraft developed for the Royal Air Force (RAF). The single-seat Hunter enterred service in 1954 as a manoeuvrable day interceptor aircraft, quickly succeeding first-generation jet fighters in RAF service such as the Gloster Meteor and the de Havilland Venom. Widely exported, the Hunter served with 21 overseas air forces. Sixty years after its introduction it was still in active service, being operated by the Lebanese Air Force until 2014. The Hunter saw combat service in a range of conflicts with several operators, including the Suez Crisis, the Aden Emergency, the Sino-Indian War, the Indo-Pakistani War of 1965, the Indo-Pakistani War of 1971, the Rhodesian Bush War, the Second Congo War, the Six-Day War, the War of Attrition and the Yom Kippur War. Overall, 1,972 Hunters were manufactured by Hawker Aircraft and its successor, Hawker Siddeley, as well as being produced under licence overseas. (source: https://en.wikipedia.org/wiki/Hawker_Hunter)   "),

	update_id = "hawker_hunter",

	Skins =
	{
		{
			name = _("hawker_hunter"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("hawker_hunter"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("hawker_hunter"),
			type = "hawker_hunter",
		},
	},
	InputProfiles =
	{
		["hawker_hunter"] = current_mod_path .. '/Input/hawker_hunter',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('hawker_hunter', ViewSettings, SnapViews)
make_flyable('hawker_hunter', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/hawker_hunter.lua')
------------------------------------------------------------------------------------ -
plugin_done()

