--
-- file prepared: 13 January 2024 12:04:57.497, using fd577h
--
self_ID = "mirage_iii"
declare_plugin(self_ID,
{
	displayName = _("mirage_iii"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("mirage_iii"),

	version = " ",
	state = "installed",
	info = _("The Dassault Aviation Mirage III is a single/dual-seat, single-engine, fighter aircraft.  Powered by the Snecma Atar afterburning turbojet engine, it was the first Western European combat aircraft to exceed Mach 2 in horizontal flight. Deliveries of the the Mirage III began in July 1961; with a total of 95 Mirage IIICs were obtained by the French Air Force (Armée de l'Air, AdA). Overseas operators included Argentina, Australia, South Africa, Pakistan and Israel. Israel deployed their Mirage IIIs in both the Six-Day War, and the Yom Kippur War. During the South African Border War, the Mirage III formed the bulk of the South African Air Force's fleet. The Argentine Air Force used the Mirage IIIEA during the Falklands War, but their lack of an aerial refueling capability limited the aircraft's role in the conflict (with drop tanks, an endurance of five minutes within the combat area around the British fleet). (source: https://en.wikipedia.org/wiki/Dassault_Mirage_III)   "),

	update_id = "mirage_iii",

	Skins =
	{
		{
			name = _("mirage_iii"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("mirage_iii"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("mirage_iii"),
			type = "mirage_iii",
		},
	},
	InputProfiles =
	{
		["mirage_iii"] = current_mod_path .. '/Input/mirage_iii',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('mirage_iii', ViewSettings, SnapViews)
make_flyable('mirage_iii', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/mirage_iii.lua')
------------------------------------------------------------------------------------ -
plugin_done()

