--
-- file prepared: 13 January 2024 12:00:29.211, using fd577h
--
self_ID = "super_etendard"
declare_plugin(self_ID,
{
	displayName = _("super_etendard"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("super_etendard"),

	version = " ",
	state = "installed",
	info = _("The Dassault-Breguet Super Étendard is a French carrier-borne strike fighter aircraft designed by Dassault-Breguet for service with the French Navy.  The aircraft is an development of the Étendard IVM, which it replaced. The Super Étendard first flew in October 1974, entering French service in June 1978. French Super Étendards have served in several conflicts such as the Kosovo war, the war in Afghanistan and the military intervention in Libya. The Super Étendard was also operated by Iraq (on a temporary lease) and Argentina, which both deployed the aircraft during wartime. Argentina's Navy use of the Super Étendard and the Exocet missile during the 1982 Falklands War led to the aircraft gaining considerable popular recognition. The Super Étendard was used by Iraq to attack oil tankers and merchant shipping in the Persian Gulf during the Iraq-Iran War. In French service, the Super Étendard was replaced by the Dassault Rafale in 2016. (source: https://en.wikipedia.org/wiki/Dassault-Breguet_Super_%C3%89tendard)  "),

	update_id = "super_etendard",

	Skins =
	{
		{
			name = _("super_etendard"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("super_etendard"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("super_etendard"),
			type = "super_etendard",
		},
	},
	InputProfiles =
	{
		["super_etendard"] = current_mod_path .. '/Input/super_etendard',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('super_etendard', ViewSettings, SnapViews)
make_flyable('super_etendard', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/super_etendard.lua')
------------------------------------------------------------------------------------ -
plugin_done()

